1

I installed QGIS 3.16 on Ubuntu-20.04.

Details on 'About QGIS':

QGIS version 3.16.12-Hannover QGIS code revision be6cb030ac
Compiled against Qt 5.12.8 Running against Qt 5.12.8
Compiled against GDAL/OGR 3.0.4 Running against GDAL/OGR 3.0.4
Compiled against GEOS 3.8.0-CAPI-1.13.1 Running against GEOS 3.9.1-CAPI-1.14.2
Compiled against SQLite 3.31.1 Running against SQLite 3.31.1
PostgreSQL Client Version 12.8 (Ubuntu 12.8-0ubuntu0.20.04.1) SpatiaLite Version 4.3.0a
QWT Version 6.1.4 QScintilla2 Version 2.11.2
Compiled against PROJ 6.3.1 Running against PROJ Rel. 6.3.1, February 10th, 2020
OS Version Ubuntu 20.04.3 LTS
Active python plugins gribdownloader
SRTM-Downloader
gis4wrf
modis_nitk
db_manager
MetaSearch
processing

When I added raster layer 'stamen terrain background' from plugin 'gis4wrf', which has CRS of 'EPSG:3857 - WGS 84 / Pseudo-Mercator'.

And the error message:


No transform is available between EPSG:3857 - WGS 84 / Pseudo-Mercator and Custom CRS: GEOGCRS["unknown",DATUM["unknown",ELLIPSOID["WGS 8….

proj_create_operations: SQLite error on SELECT name, coordinate_system_auth_name, coordinate_system_code, geodetic_crs_auth_name, geodetic_crs_code, conversion_auth_name, conversion_code, area_of_use_auth_name, area_of_use_code, text_definition, deprecated FROM projected_crs WHERE auth_name = ? AND code = ?: no such column: area_of_use_auth_name


and when I added a vector layer with CRS: PCS_ITRF2000_TM,

another but same error message:


No transform is available between PCS_ITRF2000_TM and Custom CRS: GEOGCRS["unknown",DATUM["World Geodetic System 198….

proj_create_operations: SQLite error on SELECT name, type, coordinate_system_auth_name, coordinate_system_code, datum_auth_name, datum_code, area_of_use_auth_name, area_of_use_code, text_definition, deprecated FROM geodetic_crs WHERE auth_name = ? AND code = ?: no such column: area_of_use_auth_name


and I think it happens everytime, like:

between PCS_ITRF2000_TM and EPSG:3857 - WGS 84 / Pseudo-Mercator
between PCS_ITRF2000_TM and EPSG:4322 - WGS 72
between PCS_ITRF2000_TM and EPSG:4326 - WGS 84
between EPSG:3857 - WGS 84 / Pseudo-Mercator and Custom CRS
between EPSG:3857 - WGS 84 / Pseudo-Mercator and EPSG:4322 - WGS 72
between EPSG:4322 - WGS 72 and Custom CRS
between Custom CRS

etc.....


when I added same layers with QGIS 3.16 on Windows10, it worked fine. I saw some similar questions, but remain unsolved.

I don't know what to do, or where to look at.. Any advise?

2
  • You have mismatch between the Proj version and proj.db database version that your system finds. Hopefully you can find help from these old questions dealing with the same problem gis.stackexchange.com/….
    – user30184
    Oct 28 '21 at 12:41
  • 1
    @user30184 I tried proj library setting to conda one, by export PROJ_LIB=home/<username>/miniconda3/share/proj and it seems to be solved..! Though I see warning message proj_get_authorities_from_database: Cannot find proj.db proj_create_from_database: Cannot find proj.db when starting, but somehow it works properly.. thank you!
    – HY K
    Oct 29 '21 at 2:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.